Package org.apache.commons.io.build

# Class AbstractOrigin.URIOrigin.URIOpenOption.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<AbstractOrigin.URIOrigin.URIOpenOption,AbstractOrigin.URIOrigin.URIOpenOption.Builder>
org.apache.commons.io.build.AbstractOrigin.URIOrigin.URIOpenOption.Builder

All Implemented Interfaces:
  `IOSupplier<AbstractOrigin.URIOrigin.URIOpenOption>`

Enclosing class:
  `AbstractOrigin.URIOrigin.URIOpenOption`

public static class AbstractOrigin.URIOrigin.URIOpenOption.Builder extends AbstractSupplier<AbstractOrigin.URIOrigin.URIOpenOption,AbstractOrigin.URIOrigin.URIOpenOption.Builder>
Builds URIOpenOption.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractOrigin.URIOrigin.URIOpenOption`
  `get()`
  Gets a result.
  `AbstractOrigin.URIOrigin.URIOpenOption.Builder`
  `setConnectTimeout(Duration connectTimeout)`
  Sets the connect timeout duration.
  `AbstractOrigin.URIOrigin.URIOpenOption.Builder`
  `setReadTimeout(Duration readTimeout)`
  Sets the read timeout duration.

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new instance.

- ## Method Details

  - ### get

    public AbstractOrigin.URIOrigin.URIOpenOption get()
    Description copied from interface: `IOSupplier`
    Gets a result.
    Returns:
      a result.
    See Also:
      - `IOSupplier.getUnchecked()`

  - ### setConnectTimeout

    public AbstractOrigin.URIOrigin.URIOpenOption.Builder setConnectTimeout(Duration connectTimeout)
    Sets the connect timeout duration.
    Parameters:
      `connectTimeout` - the connect timeout duration.
    Returns:
      `this instance`.

  - ### setReadTimeout

    public AbstractOrigin.URIOrigin.URIOpenOption.Builder setReadTimeout(Duration readTimeout)
    Sets the read timeout duration.
    Parameters:
      `readTimeout` - the read timeout duration.
    Returns:
      `this instance`.